#ifndef FILEVIEW_H
#define FILEVIEW_H

/****************************************************************

    Copyright (c) 1996-1997 Fred Pesch

    This program is free software; you can redistribute it 
    and/or modify it under the terms of the GNU General 
    Public License as published by the Free Software 
    Foundation (version 2 of the License).

    This program is distributed in the hope that it will 
    be useful, but WITHOUT ANY WARRANTY; without even the 
    implied warranty of MERCHANTABILITY or FITNESS FOR A 
    PARTICULAR PURPOSE.  See the GNU General Public License 
    for more details.

    For a copy of the GNU General Public License, write to the 
    Free Software Foundation, Inc., 675 Mass Ave, Cambridge, 
    MA 02139, USA.

****************************************************************/

#include <Xm/Xm.h>
#include "filelist.h"

struct ViewNode {
  TFileNode *filenode;

  int icon_index;

  struct ViewNode *next;
};

typedef struct {
  WidgetList w_icon;
  int nb_icons;
  int nb_icons_managed;
} TFileIconList;

typedef struct ViewNode TViewNode;

extern TViewNode *SelectFileViewList;

extern TFileIconList FileIconList;

typedef enum { LARGE, SMALL, DETAIL } TViewMode;

extern TViewMode ActualViewMode;

extern TViewNode *CreateFileViewList(TFileNode *nodelist);
extern void DeleteFileViewList(TViewNode *start);
extern void InstallFileViewCB(void);
extern void FixFileViewSize(Widget w, XtPointer p1, XtPointer p2);
extern void SelectViewMode(TViewMode mode);
extern void InitModuleFileView(void);
extern TViewNode *DeleteSelectViewList(TViewNode *startlist);
extern void SelectDefaultViewMode(void);

#endif
